<?php
	$LIMPIAR=0;
	//-------------------------++
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	$StrNom=V($_POST['TxtNom']);
	$StrPass=V($_POST['TxtPass']);
	$StrPass2=V($_POST['TxtPass2']);
	$StrAlm="";
	$StrFull=V($_POST['TxtFull']);
	$StrHab=V($_POST['CboHab']);
	$Str_EV=vbval(V($_POST['CH_EV']));
	$Str_MV=vbval(V($_POST['CH_MV']));
	$Str_AV=vbval(V($_POST['CH_AV']));
	$Str_MP=vbval(V($_POST['CH_MP']));
	$CH_AT=vbval(V($_POST['CH_AT']));
	$CH_OPC=vbval(V($_POST['CH_OPC']));
	//
	$InvEli=V($_POST['InvEli']);
	$InvEdi=V($_POST['InvEdi']);
	//
	if(strlen($StrAlm)==0)$StrAlm="TODOS";
	if(strlen($StrHab)==0)$StrHab="SI";
	//ACTIVAR DESDE OTRA PAGINA
	if(strlen($StrId)==0){
		$StrId=V($_GET['Id']);
		if(is_numeric($StrId)==false){
			$StrId="";
		}else{
			if($StrId!="0"){
				$StrCmd="AR";
				$LStrPag=V($_GET['Pag']);
				if(!is_numeric($LStrPag)){
					$LStrPag="";
				}
			}
		}
	}
	//FUNCIONES DE DESZPLAZAMIENTO
	if(strlen($LStrPag)==0)$LStrPag="0";
	if($StrCmd=="MSig")$LStrPag=($LStrPag+1);
	if($StrCmd=="MAnt")$LStrPag=($LStrPag-1);
	if($StrCmd=="MPri")$LStrPag=0;
	if($StrCmd=="MUlt")$LStrPag=(floor($LStrTR / $VP_RegXPag) );
	//FUNCION PARA ACTIVAR UN REGISTRO
	if($StrCmd=="CM"){
		JsDir("sys_menu_set.php?IdUser=$StrId");
		return;
	}
	if(strlen($StrId)>0 && $StrCmd=="AR"){
		$Id=$StrId;
		$StrNom=gs("nom","usuarios","id_usuario=$Id");		
		$StrPass=gs("pass","usuarios","id_usuario=$Id");		
		$StrPass2=$StrPass;
		$StrAlm=gn("id_alm","usuarios","id_usuario=$Id");
		if($StrAlm==0){
			$StrAlm="TODOS";
		}else{
			$StrAlm=gs("alm_nombre","almacenes","id_almacen=$StrAlm");
		}
		$StrFull=gs("nomape","usuarios","id_usuario=$Id");
		$StrHab=gs("hab","usuarios","id_usuario=$Id");
		$Str_EV=gs("ev","usuarios","id_usuario=$Id");
		$Str_MV=gs("mv","usuarios","id_usuario=$Id");
		$Str_AV=gs("av","usuarios","id_usuario=$Id");
		$Str_MP=gs("mp","usuarios","id_usuario=$Id");
		$CH_AT=gs("at","usuarios","id_usuario=$Id");	
		$CH_OPC=gs("opc","usuarios","id_usuario=$Id");	
		$LStrFoc="document.getElementById('TxtNom').focus();";	
		//
		$InvEli=USU_PER_GET($Id,"INV_ELI");	
		$InvEdi=USU_PER_GET($Id,"INV_EDI");	
	}
	if($StrCmd=="G" || $StrCmd=="M"){
		$StrAlm_=0;//gn("id_almacen","almacenes","alm_nombre='$StrAlm'");
		//echo $StrAlm."@@@ @@@ @@@ - $StrAlm_";
	}
	//FUNCIONES DE ACTUALIZACION
	if($StrCmd=="L"){
		$LIMPIAR=1;	
	}
	if($StrCmd=="G"){		
		if(GetC("usuarios","nom='$StrNom'")>0){
			$LStrMsg="Nombre de usuario ya registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		if($StrPass!=$StrPass2){
			$LStrMsg="Los password son distintos";
			$LStrFoc="document.getElementById('TxtPass2').focus();";						
			$StrGT="S";			
		}
		if(strlen($StrGT)==0){
			$Id=GenId("id_usuario","usuarios");
			$s="INSERT INTO usuarios ".
			"VALUES ($Id,'$StrNom','$StrPass',
			$StrAlm_,'$StrFull','$StrHab',".
			"'$Str_EV','$Str_MV','$Str_AV','$Str_MP','$CH_AT','$CH_OPC')";
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$Id;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="usuarios.php";
			$_BIT_ID=BIT_ADD("SISTEMA","USUARIOS","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT	
			$LStrMsg="Datos registrados";
			$LStrFoc="document.getElementById('TxtNom').focus();";			
			//
			USU_PER_SET($Id,"INV_ELI",$InvEli);
			BIT_DET_ADD($_BIT_ID,"INV_ELI->".$InvEli);
			//
			USU_PER_SET($Id,"INV_EDI",$InvEdi);
			BIT_DET_ADD($_BIT_ID,"INV_EDI->".$InvEdi);
			//
			$LIMPIAR=1;
		}
	}
	if($StrCmd=="M"){
		if(GetC("usuarios","nom='$StrNom' AND id_usuario<>$StrId")>0){
			$LStrMsg="Nombre de usuario ya registrado";
			$LStrFoc="document.getElementById('TxtNom').focus();";						
			$StrGT="S";			
		}
		if(strlen($StrGT)==0){
			if($StrPass!=$StrPass2){
				$LStrMsg="Los password son distintos";
				$LStrFoc="document.getElementById('TxtPass2').focus();";						
				$StrGT="S";			
			}
		}
		if(strlen($StrGT)==0){
			$s="UPDATE usuarios SET nom='$StrNom',
				pass='$StrPass',id_alm=$StrAlm_,".
				"ev='$Str_EV',mv='$Str_MV',".
				"av='$Str_AV',mp='$Str_MP',
				nomape='$StrFull',hab='$StrHab',
				at='$CH_AT',
				opc='$CH_OPC' 
				WHERE id_usuario=$StrId";	
			ejt($s);
			//BIT
			$_BIT_MOD_ID=$StrId;
			$_BIT_SQL_CAB=$s;
			$_BIT_SQL_DET="";
			$_BIT_PHP="usuarios.php";
			$_BIT_ID=BIT_ADD("SISTEMA","USUARIOS","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
			BIT_DET_ADD($_BIT_ID,$s);
			//BIT	
			USU_PER_SET($StrId,"INV_ELI",$InvEli);
			BIT_DET_ADD($_BIT_ID,"INV_ELI->".$InvEli);
			//
			$LStrMsg="Datos actualizados";
			$LStrFoc="document.getElementById('TxtNom').focus();";
			//
			USU_PER_SET($StrId,"INV_ELI",$InvEli);
			BIT_DET_ADD($_BIT_ID,"INV_ELI->".$InvEli);
			//
			USU_PER_SET($StrId,"INV_EDI",$InvEdi);
			BIT_DET_ADD($_BIT_ID,"INV_EDI->".$InvEdi);
			//
			$LIMPIAR=1;
			
		}
	}	
	//////////////////////////////////+++
	if($LIMPIAR==1){
		$StrId="";
		$StrNom="";
		$StrPass="";
		$StrPass2="";
		$StrFull="";
		$Str_AV="0";
		$Str_MV="0";
		$Str_EV="0";
		$Str_MP="0";
		$CH_AT="0";
		$CH_OPC="0";
		//
		$InvEli="NO";
		$InvEdi="NO";
	}
	//////////////////////////////////
	if($StrGT=="S"){
		if(strlen($LStrMsg)>0){
			if(strlen($LStrFoc)==0){
				$LStrMsg="onload=\"alert('$LStrMsg');\"";
			}else{
				$LStrMsg="onload=\"alert('$LStrMsg');$LStrFoc;\"";
			}
		}else{
			if(strlen($LStrFoc)>0){
				$LStrMsg="onload=\"$LStrFoc;\"";
			}
		}
	}else{
		$LStrFoc="document.getElementById('TxtNom').focus();";
		$LStrMsg="onload=\"$LStrFoc;\"";
	}
?>
